Package com.massivecraft.factions.zcore.persist.json

## Class JSONFPlayer

- java.lang.Object
- - com.massivecraft.factions.zcore.persist.MemoryFPlayer
  - - com.massivecraft.factions.zcore.persist.json.JSONFPlayer

All Implemented Interfaces:
  `FPlayer`, `EconomyParticipator`, `RelationParticipator`

    public class JSONFPlayer
    extends MemoryFPlayer

### Field Summary

### Fields inherited from class com.massivecraft.factions.zcore.persist.MemoryFPlayer

`autoClaimFor, autoSafeZoneEnabled, autoWarZoneEnabled, chatMode, commandCooldown, deaths, enteringPassword, enteringPasswordWarp, factionId, id, ignoreAllianceChat, inVault, isAdminBypassing, isAlt, isFlying, isStealthEnabled, kills, lastFrostwalkerMessage, lastLoginTime, lastPowerUpdateTime, lastStoodAt, loginPvpDisabled, mapAutoUpdating, mapHeight, millisPassed, monitorJoins, name, notificationsEnabled, power, powerBoost, role, shouldTakeFallDamage, showScoreboard, spyingChat, title, warmup, warmupTask, willAutoLeave`

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`JSONFPlayer​(MemoryFPlayer arg0)` |
`JSONFPlayer​(java.lang.String id)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `remove()` |
`boolean` | `shouldBeSaved()` |

### Methods inherited from class com.massivecraft.factions.zcore.persist.MemoryFPlayer

`addWarmup, alterPower, attemptClaim, attemptClaim, canClaimForFaction, canClaimForFactionAtLocation, canClaimForFactionAtLocation, canFlyAtLocation, canFlyAtLocation, canflyinAlly, canflyinEnemy, canflyinNeutral, canflyinSafezone, canflyinTruce, canflyinWarzone, canflyinWilderness, checkIfNearbyEnemies, clearWarmup, commas, describeTo, describeTo, getAccountId, getAutoClaimFor, getChatMode, getChatTag, getChatTag, getChatTag, getChatTag, getColorTo, getCooldown, getDeaths, getEnteringWarp, getFaction, getFactionId, getId, getKills, getLastFrostwalkerMessage, getLastLoginTime, getLastPowerUpdateTime, getLastStoodAt, getMapHeight, getMillisPassed, getName, getNameAndSomething, getNameAndTag, getNameAndTitle, getNameAndTitle, getNameAndTitle, getNameAndTitle, getPlayer, getPower, getPowerBoost, getPowerMax, getPowerMaxRounded, getPowerMin, getPowerMinRounded, getPowerRounded, getRelationTo, getRelationTo, getRelationToLocation, getRole, getRolePrefix, getTag, getTitle, getWarmupType, hasFaction, hasLoginPvpDisabled, hasMoney, hasNotificationsEnabled, heal, isAdminBypassing, isAlt, isAutoSafeClaimEnabled, isAutoWarClaimEnabled, isCooldownEnded, isEnteringPassword, isFlying, isIgnoreAllianceChat, isInAllyTerritory, isInEnemyTerritory, isInNeutralTerritory, isInOthersTerritory, isInOwnTerritory, isInspectMode, isInVault, isMapAutoUpdating, isMonitoringJoins, isOffline, isOnline, isOnlineAndVisibleTo, isSpyingChat, isStealthEnabled, isVanished, isWarmingUp, leave, login, logout, losePowerFromBeingOffline, msg, msg, onDeath, resetFactionData, resetFactionData, sendFactionHereMessage, sendFancyMessage, sendFancyMessage, sendMessage, sendMessage, setAlt, setAutoClaimFor, setAutoLeave, setChatMode, setCooldown, setEnteringPassword, setFaction, setFFlying, setFlying, setId, setIgnoreAllianceChat, setInspectMode, setInVault, setIsAdminBypassing, setIsAutoSafeClaimEnabled, setIsAutoWarClaimEnabled, setLastFrostwalkerMessage, setLastLoginTime, setLastStoodAt, setMapAutoUpdating, setMapHeight, setMonitorJoins, setName, setNotificationsEnabled, setPowerBoost, setRole, setShowScoreboard, setSpyingChat, setStealth, setTakeFallDamage, setTitle, shouldTakeFallDamage, showInfoBoard, showScoreboard, stopWarmup, takeMoney, updatePower, willAutoLeave`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSONFPlayer

    public JSONFPlayer​(MemoryFPlayer arg0)

#### JSONFPlayer

    public JSONFPlayer​(java.lang.String id)

### Method Detail

#### remove

    public void remove()

Specified by:
  `remove` in interface `FPlayer`
Specified by:
  `remove` in class `MemoryFPlayer`

#### shouldBeSaved

    public boolean shouldBeSaved()

Overrides:
  `shouldBeSaved` in class `MemoryFPlayer`